Ubuntu

8086:0887 Intel Centrino 2230 card doesn't connect, and has extremely high latency when connected

Reported by Israel Vaughn on 2012-08-18
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned

Bug Description

Similar to bug : https://bugs.launchpad.net/ubuntu/+source/linux/+bug/984552

Saw the following in the logs :

Aug 13 17:22:52 Galois kernel: [32696.796323] iwlwifi 0000:02:00.0: restoring config space at offset 0x1 (was 0x100006, writing 0x100406)
Aug 13 17:22:53 Galois kernel: [32700.666488] iwlwifi 0000:02:00.0: L1 Enabled; Disabling L0S
Aug 13 17:22:53 Galois kernel: [32700.673943] iwlwifi 0000:02:00.0: Radio type=0x2-0x0-0x0
Aug 13 17:28:26 Galois kernel: [33033.713985] iwlwifi 0000:02:00.0: Tx aggregation enabled on ra = 20:4e:7f:4a:80:57 tid = 0
Aug 13 17:33:06 Galois kernel: [33313.383975] iwlwifi 0000:02:00.0: Tx aggregation enabled on ra = 20:4e:7f:4a:80:57 tid = 4

When I first wake the computer, or boot the computer, wireless attempts to connect about 15-20 times before finally connecting.

Once connected, speed and latency vary randomly, but mostly on the slow/high side respectively.

When I test my connection speed with a site like speedtest.net, I'll usually get full speed for about 1/2 a sec , then it goes to zero for awhile, then comes back on at full speed a second later or so.

With windows, connected to the same router, none of these problems occur.

WORKAROUND: sudo iwconfig wlan0 power off

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-29-generic 3.2.0-29.46
ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24
Uname: Linux 3.2.0-29-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu12
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: israel 1806 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xc0710000 irq 46'
   Mixer name : 'Intel PantherPoint HDMI'
   Components : 'HDA:111d76e0,103c1836,00100102 HDA:80862806,80860101,00100000'
   Controls : 22
   Simple ctrls : 10
Date: Fri Aug 17 23:20:22 2012
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=fd1bc443-e71b-43ca-9230-4f9b2a0a8eba
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
MachineType: Hewlett-Packard HP Pavilion dv4 Notebook PC
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-29-generic root=UUID=a27460ed-11ac-45fe-a797-9673550b7bb3 ro splash quiet
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-29-generic N/A
 linux-backports-modules-3.2.0-29-generic N/A
 linux-firmware 1.79
SourcePackage: linux
StagingDrivers: mei
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/20/2012
dmi.bios.vendor: Insyde
dmi.bios.version: F.16
dmi.board.asset.tag: Type2 - Board Asset Tag
dmi.board.name: 1836
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 53.3B
dmi.chassis.asset.tag: Chassis Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnInsyde:bvrF.16:bd06/20/2012:svnHewlett-Packard:pnHPPaviliondv4NotebookPC:pvr078B110000245710000620100:rvnHewlett-Packard:rn1836:rvr53.3B:cvnHewlett-Packard:ct10:cvrChassisVersion:
dmi.product.name: HP Pavilion dv4 Notebook PC
dmi.product.version: 078B110000245710000620100
dmi.sys.vendor: Hewlett-Packard

Israel Vaughn (daaxix) wrote :
Israel Vaughn (daaxix) wrote :

Examples of ping times to my router :

PING 192.168.1.1 (192.168.1.1) 56(84) bytes of data.
64 bytes from 192.168.1.1: icmp_req=1 ttl=64 time=605 ms
64 bytes from 192.168.1.1: icmp_req=2 ttl=64 time=629 ms
64 bytes from 192.168.1.1: icmp_req=3 ttl=64 time=653 ms
64 bytes from 192.168.1.1: icmp_req=4 ttl=64 time=677 ms
64 bytes from 192.168.1.1: icmp_req=5 ttl=64 time=701 ms
64 bytes from 192.168.1.1: icmp_req=6 ttl=64 time=724 ms
64 bytes from 192.168.1.1: icmp_req=7 ttl=64 time=749 ms
64 bytes from 192.168.1.1: icmp_req=8 ttl=64 time=773 ms
64 bytes from 192.168.1.1: icmp_req=9 ttl=64 time=797 ms
64 bytes from 192.168.1.1: icmp_req=10 ttl=64 time=821 ms
64 bytes from 192.168.1.1: icmp_req=11 ttl=64 time=845 ms
64 bytes from 192.168.1.1: icmp_req=12 ttl=64 time=869 ms
64 bytes from 192.168.1.1: icmp_req=13 ttl=64 time=893 ms
64 bytes from 192.168.1.1: icmp_req=14 ttl=64 time=917 ms
64 bytes from 192.168.1.1: icmp_req=16 ttl=64 time=966 ms
64 bytes from 192.168.1.1: icmp_req=17 ttl=64 time=990 ms
64 bytes from 192.168.1.1: icmp_req=18 ttl=64 time=5.08 ms
64 bytes from 192.168.1.1: icmp_req=19 ttl=64 time=15.0 ms
64 bytes from 192.168.1.1: icmp_req=20 ttl=64 time=37.5 ms
64 bytes from 192.168.1.1: icmp_req=21 ttl=64 time=60.0 ms
64 bytes from 192.168.1.1: icmp_req=22 ttl=64 time=82.7 ms
64 bytes from 192.168.1.1: icmp_req=23 ttl=64 time=104 ms
64 bytes from 192.168.1.1: icmp_req=24 ttl=64 time=127 ms
64 bytes from 192.168.1.1: icmp_req=25 ttl=64 time=150 ms
64 bytes from 192.168.1.1: icmp_req=26 ttl=64 time=173 ms
64 bytes from 192.168.1.1: icmp_req=27 ttl=64 time=197 ms
64 bytes from 192.168.1.1: icmp_req=28 ttl=64 time=222 ms
64 bytes from 192.168.1.1: icmp_req=29 ttl=64 time=245 ms
64 bytes from 192.168.1.1: icmp_req=30 ttl=64 time=270 ms
64 bytes from 192.168.1.1: icmp_req=31 ttl=64 time=294 ms
64 bytes from 192.168.1.1: icmp_req=32 ttl=64 time=317 ms
64 bytes from 192.168.1.1: icmp_req=33 ttl=64 time=342 ms
64 bytes from 192.168.1.1: icmp_req=34 ttl=64 time=366 ms
64 bytes from 192.168.1.1: icmp_req=35 ttl=64 time=390 ms
64 bytes from 192.168.1.1: icmp_req=36 ttl=64 time=414 ms
64 bytes from 192.168.1.1: icmp_req=37 ttl=64 time=438 ms
64 bytes from 192.168.1.1: icmp_req=38 ttl=64 time=462 ms

iwconfig output :

wlan0 IEEE 802.11bgn ESSID:"FitchResearch"
          Mode:Managed Frequency:2.457 GHz Access Point: 20:4E:7F:4A:80:57
          Bit Rate=162 Mb/s Tx-Power=16 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:on
          Link Quality=70/70 Signal level=-26 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:16925 Invalid misc:100 Missed beacon:0

Brad Figg (brad-figg) on 2012-08-18
Changed in linux (Ubuntu):
status: New → Confirmed

Israel Vaughn, thank you for reporting this and helping make Ubuntu better.

Could you please provide the information following https://wiki.ubuntu.com/Kernel/LinuxWireless#Bug_Report_Minimum_Requirement_Information ?

summary: - Intel Centrino 2230 card doesn't connect, and has extremely high latency
- when connected
+ 8086:0887 Intel Centrino 2230 card doesn't connect, and has extremely
+ high latency when connected
Changed in linux (Ubuntu):
importance: Undecided → High
status: Confirmed → Incomplete
tags: added: kernel-wifi needs-upstream-testing
Israel Vaughn (daaxix) wrote :

AP : Netgear WNDR3800, firmware version 1.0.0.38 (latest).

Connection type : 2.4Ghz 802.11n (I tryed changing to 802.11g and this didn't fix it).

No other devices have the issue with the AP, including Android, Mac, and this machine on Windows.

The distance to the AP is 3 feet, with no obstructions. Changing the distance does not seem to affect the problem.

I don't know if the issue occurs with other APs. I'll be taking this laptop to school soon, I'll update when I attempt to connect to another AP.

I don't know if this is a regression, this laptop is a brand new warranty replacement, so I haven't ever had this model of wireless card before.

The compat-wireless did provide a provide a WORKAROUND or solution following https://wiki.ubuntu.com/Kernel/LinuxWireless#Compat-wireless_in_Ubuntu!

Israel Vaughn (daaxix) wrote :

So the compat-wireless workaround seemed to fix the issue, do you need anything else?

Israel Vaughn, glad to hear compat-wireless works. If this works for you as a solution, could you please mark this as Status Invalid?

Israel Vaughn (daaxix) wrote :

Actually, it is still here. I noticed something different today, perhaps the compat-wireless workaround was conflated.

Ping times are fine, when AC (mains) power is plugged in. When I'm on battery is when the ping times go up to 500+ms.

I'm usually plugged in, so I perhaps thought that the compat-wireless fixed it.

sudo iwconfig wlan0 power off

actually fixed it. Is this a regression?

Israel Vaughn, if you are experiencing a bug while using compat-wireless in Precise, you are welcome to file a bug against that package via https://bugs.launchpad.net/ubuntu/+source/linux-backports-modules-3.2.0/+filebug .

This bug report is only for the problem originally reported about in https://launchpad.net/ubuntu/+source/linux .

Thank you for your understanding.

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired

Israel Vaughn, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the mainline kernels archive directory daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.7-rc8

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Helpful bug reporting tips:
https://help.ubuntu.com/community/ReportingBugs

description: updated
Changed in linux (Ubuntu):
status: Expired → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
kimj (emailadhoc) wrote :

This is also happpening to me on ubuntu 13.04 running kernel 3.8.0-26-generic
I have the same WiFi adapter and, when I ping my router I get similar results:
64 bytes from 192.168.1.1: icmp_req=1 ttl=255 time=225 ms
64 bytes from 192.168.1.1: icmp_req=2 ttl=255 time=146 ms
64 bytes from 192.168.1.1: icmp_req=3 ttl=255 time=65.5 ms
64 bytes from 192.168.1.1: icmp_req=4 ttl=255 time=83.9 ms
64 bytes from 192.168.1.1: icmp_req=5 ttl=255 time=213 ms
64 bytes from 192.168.1.1: icmp_req=6 ttl=255 time=23.4 ms
64 bytes from 192.168.1.1: icmp_req=7 ttl=255 time=53.0 ms
64 bytes from 192.168.1.1: icmp_req=8 ttl=255 time=71.8 ms
64 bytes from 192.168.1.1: icmp_req=9 ttl=255 time=200 ms
64 bytes from 192.168.1.1: icmp_req=10 ttl=255 time=127 ms

Using the workaround iwconfig wlan0 power off I get normal results again:

PING 192.168.1.1 (192.168.1.1) 56(84) bytes of data.
64 bytes from 192.168.1.1: icmp_req=1 ttl=255 time=2.37 ms
64 bytes from 192.168.1.1: icmp_req=2 ttl=255 time=1.91 ms
64 bytes from 192.168.1.1: icmp_req=3 ttl=255 time=4.51 ms
64 bytes from 192.168.1.1: icmp_req=4 ttl=255 time=4.52 ms
64 bytes from 192.168.1.1: icmp_req=5 ttl=255 time=1.92 ms
64 bytes from 192.168.1.1: icmp_req=6 ttl=255 time=1.83 ms
^C
--- 192.168.1.1 ping statistics ---
6 packets transmitted, 6 received, 0% packet loss, time 5006ms
rtt min/avg/max/mdev = 1.834/2.848/4.528/1.197 ms

This is definetly a regression, using debian 7 with kernel 3.2 the problem isn't present.

kimj (emailadhoc) on 2013-07-13
Changed in linux (Ubuntu):
status: Expired → Confirmed

kimj, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers